local bt=60/127 --beattime, 60 seconds over 127 bpm
local ft={

	{Frame=0,Delay=bt*0.1},

	{Frame=1,Delay=bt*0.1},

	{Frame=2,Delay=bt*0.1},

	{Frame=3,Delay=bt*0.1},

	{Frame=4,Delay=bt*0.1},

	{Frame=5,Delay=bt*0.1},

	{Frame=6,Delay=bt*0.1},

	{Frame=7,Delay=bt*0.1},

	{Frame=8,Delay=bt*0.1},

	{Frame=9,Delay=bt*0.1},


	{Frame=0,Delay=bt*0.1},

	{Frame=1,Delay=bt*0.1},

	{Frame=2,Delay=bt*0.1},

	{Frame=3,Delay=bt*0.1},

	{Frame=4,Delay=bt*0.1},


	{Frame=0,Delay=bt*0.1},

	{Frame=1,Delay=bt*0.1},

	{Frame=2,Delay=bt*0.1},

	{Frame=3,Delay=bt*0.1},

	{Frame=4,Delay=bt*0.1},


	{Frame=0,Delay=bt*0.1},

	{Frame=1,Delay=bt*0.1},

	{Frame=2,Delay=bt*0.1},

	{Frame=3,Delay=bt*0.1},

	{Frame=4,Delay=bt*0.1},

	{Frame=5,Delay=bt*0.1},

	{Frame=6,Delay=bt*0.1},

	{Frame=7,Delay=bt*0.1},

	{Frame=8,Delay=bt*0.1},

	{Frame=9,Delay=bt*0.1},

	{Frame=0,Delay=bt*0.1},

	{Frame=1,Delay=bt*0.1},

	{Frame=2,Delay=bt*0.1},

	{Frame=3,Delay=bt*0.1},

	{Frame=4,Delay=bt*0.1},

	{Frame=5,Delay=bt*0.1},

	{Frame=6,Delay=bt*0.1},

	{Frame=7,Delay=bt*0.1},

	{Frame=8,Delay=bt*0.1},

	{Frame=9,Delay=bt*0.1}
}
return Def.ActorFrame{

	InitCommand=function(self)

		self:sleep(9999)

		SCREENMAN:SystemMessage("hey")

	end,

	

	Def.Sprite{

		Name="dog1",

		Texture="../_Graphics/gabe",

		InitCommand=function(self)

			self:zoom(0.5):xy(SCREEN_CENTER_X-75-10,SCREEN_CENTER_Y-75-10)
			:SetStateProperties(ft)
		end, --InitCommand()
		

		OnCommand=function(self)

			self:sleep(bt):rotationy(180)
			:sleep(bt*0.5):rotationy(0)
			:sleep(bt*0.5):rotationy(180)
			:sleep(bt):rotationy(0)
			:sleep(bt):rotationy(180)

			:sleep(bt):rotationy(0)
			:sleep(bt*0.5):rotationy(180)
			:sleep(bt*0.5):rotationy(0)
			:sleep(bt):rotationy(180)
			:sleep(bt):rotationy(0)

			:sleep(bt):rotationy(180)
			:sleep(bt*0.5):rotationy(0)
			:sleep(bt*0.5):rotationy(180)
			:sleep(bt):rotationy(0)
			:sleep(bt):rotationy(180)
			:diffusealpha(0)
		end --OnCommand()

		
	}, --Def.Sprite

	

	Def.Sprite{

		Name="dog2",

		Texture="../_Graphics/gabe",

		InitCommand=function(self)

			self:zoom(0.5):xy(SCREEN_CENTER_X+75+10,SCREEN_CENTER_Y+75+10)
			:diffusealpha(0):SetStateProperties(ft)
		end, --InitCommand()
		

		OnCommand=function(self)

			self:sleep(bt*4):diffusealpha(1)

			:sleep(bt):rotationy(0)
			:sleep(bt*0.5):rotationy(180)
			:sleep(bt*0.5):rotationy(0)
			:sleep(bt):rotationy(180)
			:sleep(bt):rotationy(0)

			:sleep(bt):rotationy(180)
			:sleep(bt*0.5):rotationy(0)
			:sleep(bt*0.5):rotationy(180)
			:sleep(bt):rotationy(0)
			:sleep(bt):rotationy(180)

			:diffusealpha(0)
		end --OnCommand()

		
	}, --Def.Sprite

	

	Def.Sprite{

		Name="dog3",

		Texture="../_Graphics/gabe",

		InitCommand=function(self)

			self:zoom(0.5):xy(SCREEN_CENTER_X+75+10,SCREEN_CENTER_Y-75-10)
			:diffusealpha(0):SetStateProperties(ft)
		end, --InitCommand()
		

		OnCommand=function(self)

			self:sleep(bt*8):diffusealpha(1)

			:sleep(bt):rotationy(0)
			:sleep(bt*0.5):rotationy(180)
			:sleep(bt*0.5):rotationy(0)
			:sleep(bt):rotationy(180)
			:sleep(bt):rotationy(0)

			:diffusealpha(0)
		end --OnCommand()

		
	}, --Def.Sprite

	

	Def.Sprite{

		Name="dog4",

		Texture="../_Graphics/gabe",

		InitCommand=function(self)

			self:zoom(0.5):xy(SCREEN_CENTER_X-75-10,SCREEN_CENTER_Y+75+10)
			:diffusealpha(0):SetStateProperties(ft)
		end, --InitCommand()
		

		OnCommand=function(self)

			self:sleep(bt*8):diffusealpha(1)

			:sleep(bt):rotationy(0)
			:sleep(bt*0.5):rotationy(180)
			:sleep(bt*0.5):rotationy(0)
			:sleep(bt):rotationy(180)
			:sleep(bt):rotationy(0)

			:diffusealpha(0)
		end --OnCommand()

		
	}, --Def.Sprite


}